Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## main.ausgabe
Class Ausgabe

    java.lang.Object
      |
      +--main.ausgabe.Ausgabe

public class Ausgabe
extends java.lang.Object

Die Klasse formatiert den Inhalt der Matrix für die grafische Ausgabe und gibt diese auf den angegebenen Ausgabestrom aus. Dabei wird sowohl die initiale Matrix, sowie die Matrix mit dem gesuchten Wert ausgegeben.

Version:
  $Revision: 1.15 $
Author:
  Simon Tiffert

Field Summary
`private Matrix` | `matrix` Die zentrale Datenstruktur mit der Matrix

Constructor Summary
`Ausgabe(Matrix matrix, java.io.BufferedWriter bw)` Konstruktor, der die Ausgabe erzeugt.

Method Summary
`private void` | `ausgabe(java.io.BufferedWriter bw, boolean zustand)` Diese Funktion gibt die Matrix grafisch auf dem angegebenen Ausgabestrom aus.
`private void` | `keinWegGefundenAusgabe(java.io.BufferedWriter bw)` Funktion, die ausgibt, dass keine Sprungfolge gefunden wurde

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### matrix

    private Matrix matrix

  Die zentrale Datenstruktur mit der Matrix

Constructor Detail

### Ausgabe

    public Ausgabe(Matrix matrix,
                   java.io.BufferedWriter bw)
            throws java.io.IOException

  Konstruktor, der die Ausgabe erzeugt. Übergeben werden die Matrix und der BufferedWriter der Ausgabedatei. Erzeugt wird dann einmal die Eingabe in Matrixansicht, sowie die durch Verarbeitung gewonnene Matrix mit Wegdaten.

Parameters:
  `matrix` - Zentrale Datenstruktur mit Matrix
  `bw` - BufferedWriter der Ausgabedatei
Throws:
  `java.io.IOException` - Ausgabedatei konnte nicht geschrieben werden

Method Detail

### keinWegGefundenAusgabe

    private void keinWegGefundenAusgabe(java.io.BufferedWriter bw)
                                 throws java.io.IOException

  Funktion, die ausgibt, dass keine Sprungfolge gefunden wurde

  Parameters:
    `bw` - BufferedWriter der Ausgabedatei
  Throws:
    `java.io.IOException` - Fehler beim Schreiben auf Datei

### ausgabe

    private void ausgabe(java.io.BufferedWriter bw,
                         boolean zustand)
                  throws java.io.IOException

  Diese Funktion gibt die Matrix grafisch auf dem angegebenen Ausgabestrom aus. Dabei gibt es zwei Zustände, einmal den Anfangszustand der Matrix, der aus den Eingabedaten erzeugt wird, sowie den Endzustand, der einen gefundenen Weg ausgibt.

  Parameters:
    `bw` - BufferedWriter für die Ausgabedatei
    `zustand` - `false`: Anfangszustand, `true`: Endzustand
  Throws:
    `java.io.IOException` - Fehler beim Schreiben auf Datei

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD